PageRenderTime 53ms CodeModel.GetById 21ms RepoModel.GetById 0ms app.codeStats 0ms

/other/netcdf_write_matrix/src/config.status

http://github.com/jbeezley/wrf-fire
Shell | 1113 lines | 909 code | 86 blank | 118 comment | 101 complexity | 66327f444cdc6c4eb8afef96edfce2d6 MD5 | raw file
Possible License(s): AGPL-1.0
  1. #! /bin/sh
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/sh}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be Bourne compatible
  14. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  15. emulate sh
  16. NULLCMD=:
  17. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  18. # is contrary to our usage. Disable this feature.
  19. alias -g '${1+"$@"}'='"$@"'
  20. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  21. set -o posix
  22. fi
  23. DUALCASE=1; export DUALCASE # for MKS sh
  24. # Support unset when possible.
  25. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  26. as_unset=unset
  27. else
  28. as_unset=false
  29. fi
  30. # Work around bugs in pre-3.0 UWIN ksh.
  31. $as_unset ENV MAIL MAILPATH
  32. PS1='$ '
  33. PS2='> '
  34. PS4='+ '
  35. # NLS nuisances.
  36. for as_var in \
  37. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  38. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  39. LC_TELEPHONE LC_TIME
  40. do
  41. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  42. eval $as_var=C; export $as_var
  43. else
  44. $as_unset $as_var
  45. fi
  46. done
  47. # Required to use basename.
  48. if expr a : '\(a\)' >/dev/null 2>&1; then
  49. as_expr=expr
  50. else
  51. as_expr=false
  52. fi
  53. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  54. as_basename=basename
  55. else
  56. as_basename=false
  57. fi
  58. # Name of the executable.
  59. as_me=`$as_basename "$0" ||
  60. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  61. X"$0" : 'X\(//\)$' \| \
  62. X"$0" : 'X\(/\)$' \| \
  63. . : '\(.\)' 2>/dev/null ||
  64. echo X/"$0" |
  65. sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  66. /^X\/\(\/\/\)$/{ s//\1/; q; }
  67. /^X\/\(\/\).*/{ s//\1/; q; }
  68. s/.*/./; q'`
  69. # PATH needs CR, and LINENO needs CR and PATH.
  70. # Avoid depending upon Character Ranges.
  71. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  72. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  73. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  74. as_cr_digits='0123456789'
  75. as_cr_alnum=$as_cr_Letters$as_cr_digits
  76. # The user is always right.
  77. if test "${PATH_SEPARATOR+set}" != set; then
  78. echo "#! /bin/sh" >conf$$.sh
  79. echo "exit 0" >>conf$$.sh
  80. chmod +x conf$$.sh
  81. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  82. PATH_SEPARATOR=';'
  83. else
  84. PATH_SEPARATOR=:
  85. fi
  86. rm -f conf$$.sh
  87. fi
  88. as_lineno_1=$LINENO
  89. as_lineno_2=$LINENO
  90. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  91. test "x$as_lineno_1" != "x$as_lineno_2" &&
  92. test "x$as_lineno_3" = "x$as_lineno_2" || {
  93. # Find who we are. Look in the path if we contain no path at all
  94. # relative or not.
  95. case $0 in
  96. *[\\/]* ) as_myself=$0 ;;
  97. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  98. for as_dir in $PATH
  99. do
  100. IFS=$as_save_IFS
  101. test -z "$as_dir" && as_dir=.
  102. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  103. done
  104. ;;
  105. esac
  106. # We did not find ourselves, most probably we were run as `sh COMMAND'
  107. # in which case we are not to be found in the path.
  108. if test "x$as_myself" = x; then
  109. as_myself=$0
  110. fi
  111. if test ! -f "$as_myself"; then
  112. { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  113. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  114. { (exit 1); exit 1; }; }
  115. fi
  116. case $CONFIG_SHELL in
  117. '')
  118. as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  119. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  120. do
  121. IFS=$as_save_IFS
  122. test -z "$as_dir" && as_dir=.
  123. for as_base in sh bash ksh sh5; do
  124. case $as_dir in
  125. /*)
  126. if ("$as_dir/$as_base" -c '
  127. as_lineno_1=$LINENO
  128. as_lineno_2=$LINENO
  129. as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  130. test "x$as_lineno_1" != "x$as_lineno_2" &&
  131. test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
  132. $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  133. $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  134. CONFIG_SHELL=$as_dir/$as_base
  135. export CONFIG_SHELL
  136. exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  137. fi;;
  138. esac
  139. done
  140. done
  141. ;;
  142. esac
  143. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  144. # uniformly replaced by the line number. The first 'sed' inserts a
  145. # line-number line before each line; the second 'sed' does the real
  146. # work. The second script uses 'N' to pair each line-number line
  147. # with the numbered line, and appends trailing '-' during
  148. # substitution so that $LINENO is not a special case at line end.
  149. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  150. # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
  151. sed '=' <$as_myself |
  152. sed '
  153. N
  154. s,$,-,
  155. : loop
  156. s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  157. t loop
  158. s,-$,,
  159. s,^['$as_cr_digits']*\n,,
  160. ' >$as_me.lineno &&
  161. chmod +x $as_me.lineno ||
  162. { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  163. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  164. { (exit 1); exit 1; }; }
  165. # Don't try to exec as it changes $[0], causing all sort of problems
  166. # (the dirname of $[0] is not the place where we might find the
  167. # original and so on. Autoconf is especially sensible to this).
  168. . ./$as_me.lineno
  169. # Exit status is that of the last command.
  170. exit
  171. }
  172. case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  173. *c*,-n*) ECHO_N= ECHO_C='
  174. ' ECHO_T=' ' ;;
  175. *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  176. *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
  177. esac
  178. if expr a : '\(a\)' >/dev/null 2>&1; then
  179. as_expr=expr
  180. else
  181. as_expr=false
  182. fi
  183. rm -f conf$$ conf$$.exe conf$$.file
  184. echo >conf$$.file
  185. if ln -s conf$$.file conf$$ 2>/dev/null; then
  186. # We could just check for DJGPP; but this test a) works b) is more generic
  187. # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  188. if test -f conf$$.exe; then
  189. # Don't use ln at all; we don't have any links
  190. as_ln_s='cp -p'
  191. else
  192. as_ln_s='ln -s'
  193. fi
  194. elif ln conf$$.file conf$$ 2>/dev/null; then
  195. as_ln_s=ln
  196. else
  197. as_ln_s='cp -p'
  198. fi
  199. rm -f conf$$ conf$$.exe conf$$.file
  200. if mkdir -p . 2>/dev/null; then
  201. as_mkdir_p=:
  202. else
  203. test -d ./-p && rmdir ./-p
  204. as_mkdir_p=false
  205. fi
  206. as_executable_p="test -f"
  207. # Sed expression to map a string onto a valid CPP name.
  208. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  209. # Sed expression to map a string onto a valid variable name.
  210. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  211. # IFS
  212. # We need space, tab and new line, in precisely that order.
  213. as_nl='
  214. '
  215. IFS=" $as_nl"
  216. # CDPATH.
  217. $as_unset CDPATH
  218. exec 6>&1
  219. # Open the log real soon, to keep \$[0] and so on meaningful, and to
  220. # report actual input values of CONFIG_FILES etc. instead of their
  221. # values after options handling. Logging --version etc. is OK.
  222. exec 5>>config.log
  223. {
  224. echo
  225. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  226. ## Running $as_me. ##
  227. _ASBOX
  228. } >&5
  229. cat >&5 <<_CSEOF
  230. This file was extended by netCDF $as_me 3.6.1, which was
  231. generated by GNU Autoconf 2.59. Invocation command line was
  232. CONFIG_FILES = $CONFIG_FILES
  233. CONFIG_HEADERS = $CONFIG_HEADERS
  234. CONFIG_LINKS = $CONFIG_LINKS
  235. CONFIG_COMMANDS = $CONFIG_COMMANDS
  236. $ $0 $@
  237. _CSEOF
  238. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  239. echo >&5
  240. config_files=" macros.make"
  241. config_headers=" config.h:ncconfig.in fortran/nfconfig.inc:fortran/nfconfig.in"
  242. config_commands=" default"
  243. ac_cs_usage="\
  244. \`$as_me' instantiates files from templates according to the
  245. current configuration.
  246. Usage: $0 [OPTIONS] [FILE]...
  247. -h, --help print this help, then exit
  248. -V, --version print version number, then exit
  249. -q, --quiet do not print progress messages
  250. -d, --debug don't remove temporary files
  251. --recheck update $as_me by reconfiguring in the same conditions
  252. --file=FILE[:TEMPLATE]
  253. instantiate the configuration file FILE
  254. --header=FILE[:TEMPLATE]
  255. instantiate the configuration header FILE
  256. Configuration files:
  257. $config_files
  258. Configuration headers:
  259. $config_headers
  260. Configuration commands:
  261. $config_commands
  262. Report bugs to <bug-autoconf@gnu.org>."
  263. ac_cs_version="\
  264. netCDF config.status 3.6.1
  265. configured by ./configure, generated by GNU Autoconf 2.59,
  266. with options \"'--prefix=/home/jbeezley' 'CFLAGS=-DpgiFortran' 'FCFLAGS=-nofor_main' 'FC=ifort'\"
  267. Copyright (C) 2003 Free Software Foundation, Inc.
  268. This config.status script is free software; the Free Software Foundation
  269. gives unlimited permission to copy, distribute and modify it."
  270. srcdir=.
  271. INSTALL="/usr/bin/install -c"
  272. # If no file are specified by the user, then we need to provide default
  273. # value. By we need to know if files were specified by the user.
  274. ac_need_defaults=:
  275. while test $# != 0
  276. do
  277. case $1 in
  278. --*=*)
  279. ac_option=`expr "x$1" : 'x\([^=]*\)='`
  280. ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  281. ac_shift=:
  282. ;;
  283. -*)
  284. ac_option=$1
  285. ac_optarg=$2
  286. ac_shift=shift
  287. ;;
  288. *) # This is not an option, so the user has probably given explicit
  289. # arguments.
  290. ac_option=$1
  291. ac_need_defaults=false;;
  292. esac
  293. case $ac_option in
  294. # Handling of the options.
  295. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  296. ac_cs_recheck=: ;;
  297. --version | --vers* | -V )
  298. echo "$ac_cs_version"; exit 0 ;;
  299. --he | --h)
  300. # Conflict between --help and --header
  301. { { echo "$as_me:$LINENO: error: ambiguous option: $1
  302. Try \`$0 --help' for more information." >&5
  303. echo "$as_me: error: ambiguous option: $1
  304. Try \`$0 --help' for more information." >&2;}
  305. { (exit 1); exit 1; }; };;
  306. --help | --hel | -h )
  307. echo "$ac_cs_usage"; exit 0 ;;
  308. --debug | --d* | -d )
  309. debug=: ;;
  310. --file | --fil | --fi | --f )
  311. $ac_shift
  312. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  313. ac_need_defaults=false;;
  314. --header | --heade | --head | --hea )
  315. $ac_shift
  316. CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  317. ac_need_defaults=false;;
  318. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  319. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  320. ac_cs_silent=: ;;
  321. # This is an error.
  322. -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  323. Try \`$0 --help' for more information." >&5
  324. echo "$as_me: error: unrecognized option: $1
  325. Try \`$0 --help' for more information." >&2;}
  326. { (exit 1); exit 1; }; } ;;
  327. *) ac_config_targets="$ac_config_targets $1" ;;
  328. esac
  329. shift
  330. done
  331. ac_configure_extra_args=
  332. if $ac_cs_silent; then
  333. exec 6>/dev/null
  334. ac_configure_extra_args="$ac_configure_extra_args --silent"
  335. fi
  336. if $ac_cs_recheck; then
  337. echo "running /bin/sh ./configure " '--prefix=/home/jbeezley' 'CFLAGS=-DpgiFortran' 'FCFLAGS=-nofor_main' 'FC=ifort' $ac_configure_extra_args " --no-create --no-recursion" >&6
  338. exec /bin/sh ./configure '--prefix=/home/jbeezley' 'CFLAGS=-DpgiFortran' 'FCFLAGS=-nofor_main' 'FC=ifort' $ac_configure_extra_args --no-create --no-recursion
  339. fi
  340. for ac_config_target in $ac_config_targets
  341. do
  342. case "$ac_config_target" in
  343. # Handling of arguments.
  344. "macros.make" ) CONFIG_FILES="$CONFIG_FILES macros.make" ;;
  345. "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  346. "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:ncconfig.in" ;;
  347. "fortran/nfconfig.inc" ) CONFIG_HEADERS="$CONFIG_HEADERS fortran/nfconfig.inc:fortran/nfconfig.in" ;;
  348. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  349. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  350. { (exit 1); exit 1; }; };;
  351. esac
  352. done
  353. # If the user did not use the arguments to specify the items to instantiate,
  354. # then the envvar interface is used. Set only those that are not.
  355. # We use the long form for the default assignment because of an extremely
  356. # bizarre bug on SunOS 4.1.3.
  357. if $ac_need_defaults; then
  358. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  359. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  360. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  361. fi
  362. # Have a temporary directory for convenience. Make it in the build tree
  363. # simply because there is no reason to put it here, and in addition,
  364. # creating and moving files from /tmp can sometimes cause problems.
  365. # Create a temporary directory, and hook for its removal unless debugging.
  366. $debug ||
  367. {
  368. trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  369. trap '{ (exit 1); exit 1; }' 1 2 13 15
  370. }
  371. # Create a (secure) tmp directory for tmp files.
  372. {
  373. tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  374. test -n "$tmp" && test -d "$tmp"
  375. } ||
  376. {
  377. tmp=./confstat$$-$RANDOM
  378. (umask 077 && mkdir $tmp)
  379. } ||
  380. {
  381. echo "$me: cannot create a temporary directory in ." >&2
  382. { (exit 1); exit 1; }
  383. }
  384. #
  385. # CONFIG_FILES section.
  386. #
  387. # No need to generate the scripts if there are no CONFIG_FILES.
  388. # This happens for instance when ./config.status config.h
  389. if test -n "$CONFIG_FILES"; then
  390. # Protect against being on the right side of a sed subst in config.status.
  391. sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  392. s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  393. s,@SHELL@,/bin/sh,;t t
  394. s,@PATH_SEPARATOR@,:,;t t
  395. s,@PACKAGE_NAME@,netCDF,;t t
  396. s,@PACKAGE_TARNAME@,netcdf,;t t
  397. s,@PACKAGE_VERSION@,3.6.1,;t t
  398. s,@PACKAGE_STRING@,netCDF 3.6.1,;t t
  399. s,@PACKAGE_BUGREPORT@,support@unidata.ucar.edu,;t t
  400. s,@exec_prefix@,${prefix},;t t
  401. s,@prefix@,/home/jbeezley,;t t
  402. s,@program_transform_name@,s,x,x,,;t t
  403. s,@bindir@,${exec_prefix}/bin,;t t
  404. s,@sbindir@,${exec_prefix}/sbin,;t t
  405. s,@libexecdir@,${exec_prefix}/libexec,;t t
  406. s,@datadir@,${prefix}/share,;t t
  407. s,@sysconfdir@,${prefix}/etc,;t t
  408. s,@sharedstatedir@,${prefix}/com,;t t
  409. s,@localstatedir@,${prefix}/var,;t t
  410. s,@libdir@,${exec_prefix}/lib,;t t
  411. s,@includedir@,${prefix}/include,;t t
  412. s,@oldincludedir@,/usr/include,;t t
  413. s,@infodir@,${prefix}/info,;t t
  414. s,@mandir@,${prefix}/man,;t t
  415. s,@build_alias@,,;t t
  416. s,@host_alias@,,;t t
  417. s,@target_alias@,,;t t
  418. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  419. s,@ECHO_C@,,;t t
  420. s,@ECHO_N@,-n,;t t
  421. s,@ECHO_T@,,;t t
  422. s,@LIBS@,,;t t
  423. s,@build@,x86_64-unknown-linux-gnu,;t t
  424. s,@build_cpu@,x86_64,;t t
  425. s,@build_vendor@,unknown,;t t
  426. s,@build_os@,linux-gnu,;t t
  427. s,@host@,x86_64-unknown-linux-gnu,;t t
  428. s,@host_cpu@,x86_64,;t t
  429. s,@host_vendor@,unknown,;t t
  430. s,@host_os@,linux-gnu,;t t
  431. s,@TEMP_LARGE@,.,;t t
  432. s,@SRCDIR@,/home/jbeezley/netcdf_write_matrix/src,;t t
  433. s,@CC@,cc,;t t
  434. s,@CFLAGS@,-DpgiFortran,;t t
  435. s,@LDFLAGS@,,;t t
  436. s,@CPPFLAGS@,,;t t
  437. s,@ac_ct_CC@,cc,;t t
  438. s,@EXEEXT@,,;t t
  439. s,@OBJEXT@,o,;t t
  440. s,@CXX@,c++,;t t
  441. s,@CXXFLAGS@,-g -O2,;t t
  442. s,@ac_ct_CXX@,c++,;t t
  443. s,@FC@,ifort,;t t
  444. s,@FCFLAGS@,-nofor_main,;t t
  445. s,@ac_ct_FC@,,;t t
  446. s,@F90@,ifort,;t t
  447. s,@F90FLAGS@,,;t t
  448. s,@F90LIBS@,,;t t
  449. s,@M4@,m4,;t t
  450. s,@M4FLAGS@,-B10000,;t t
  451. s,@CC_MAKEDEPEND@,false,;t t
  452. s,@AR@,ar,;t t
  453. s,@ARFLAGS@,cru,;t t
  454. s,@NM@,nm,;t t
  455. s,@NMFLAGS@,,;t t
  456. s,@RANLIB@,ranlib,;t t
  457. s,@ac_ct_RANLIB@,ranlib,;t t
  458. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  459. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  460. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  461. s,@IGNORE_FPE@,,;t t
  462. s,@FFLAGS@,-nofor_main,;t t
  463. s,@FLIBS@,,;t t
  464. s,@CPP@,cc -E,;t t
  465. s,@FPP@,,;t t
  466. s,@COMPILE_F@,$(COMPILE.f) $(FPPFLAGS),;t t
  467. s,@FPPFLAGS@,,;t t
  468. s,@MATHLIB@,-lm,;t t
  469. s,@EGREP@,grep -E,;t t
  470. s,@ALLOCA@,,;t t
  471. s,@prog@,,;t t
  472. s,@WHATIS@,whatis,;t t
  473. s,@MAKEWHATIS_CMD@,,;t t
  474. s,@FTPBINDIR@,/home/ed/pub/binary/dummy_system,;t t
  475. s,@LIBOBJS@,,;t t
  476. s,@LTLIBOBJS@,,;t t
  477. CEOF
  478. # Split the substitutions into bite-sized pieces for seds with
  479. # small command number limits, like on Digital OSF/1 and HP-UX.
  480. ac_max_sed_lines=48
  481. ac_sed_frag=1 # Number of current file.
  482. ac_beg=1 # First line for current file.
  483. ac_end=$ac_max_sed_lines # Line after last line for current file.
  484. ac_more_lines=:
  485. ac_sed_cmds=
  486. while $ac_more_lines; do
  487. if test $ac_beg -gt 1; then
  488. sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  489. else
  490. sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  491. fi
  492. if test ! -s $tmp/subs.frag; then
  493. ac_more_lines=false
  494. else
  495. # The purpose of the label and of the branching condition is to
  496. # speed up the sed processing (if there are no `@' at all, there
  497. # is no need to browse any of the substitutions).
  498. # These are the two extra sed commands mentioned above.
  499. (echo ':t
  500. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  501. if test -z "$ac_sed_cmds"; then
  502. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  503. else
  504. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  505. fi
  506. ac_sed_frag=`expr $ac_sed_frag + 1`
  507. ac_beg=$ac_end
  508. ac_end=`expr $ac_end + $ac_max_sed_lines`
  509. fi
  510. done
  511. if test -z "$ac_sed_cmds"; then
  512. ac_sed_cmds=cat
  513. fi
  514. fi # test -n "$CONFIG_FILES"
  515. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  516. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  517. case $ac_file in
  518. - | *:- | *:-:* ) # input from stdin
  519. cat >$tmp/stdin
  520. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  521. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  522. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  523. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  524. * ) ac_file_in=$ac_file.in ;;
  525. esac
  526. # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  527. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  528. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  529. X"$ac_file" : 'X\(//\)[^/]' \| \
  530. X"$ac_file" : 'X\(//\)$' \| \
  531. X"$ac_file" : 'X\(/\)' \| \
  532. . : '\(.\)' 2>/dev/null ||
  533. echo X"$ac_file" |
  534. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  535. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  536. /^X\(\/\/\)$/{ s//\1/; q; }
  537. /^X\(\/\).*/{ s//\1/; q; }
  538. s/.*/./; q'`
  539. { if $as_mkdir_p; then
  540. mkdir -p "$ac_dir"
  541. else
  542. as_dir="$ac_dir"
  543. as_dirs=
  544. while test ! -d "$as_dir"; do
  545. as_dirs="$as_dir $as_dirs"
  546. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  547. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  548. X"$as_dir" : 'X\(//\)[^/]' \| \
  549. X"$as_dir" : 'X\(//\)$' \| \
  550. X"$as_dir" : 'X\(/\)' \| \
  551. . : '\(.\)' 2>/dev/null ||
  552. echo X"$as_dir" |
  553. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  554. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  555. /^X\(\/\/\)$/{ s//\1/; q; }
  556. /^X\(\/\).*/{ s//\1/; q; }
  557. s/.*/./; q'`
  558. done
  559. test ! -n "$as_dirs" || mkdir $as_dirs
  560. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  561. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  562. { (exit 1); exit 1; }; }; }
  563. ac_builddir=.
  564. if test "$ac_dir" != .; then
  565. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  566. # A "../" for each directory in $ac_dir_suffix.
  567. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  568. else
  569. ac_dir_suffix= ac_top_builddir=
  570. fi
  571. case $srcdir in
  572. .) # No --srcdir option. We are building in place.
  573. ac_srcdir=.
  574. if test -z "$ac_top_builddir"; then
  575. ac_top_srcdir=.
  576. else
  577. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  578. fi ;;
  579. [\\/]* | ?:[\\/]* ) # Absolute path.
  580. ac_srcdir=$srcdir$ac_dir_suffix;
  581. ac_top_srcdir=$srcdir ;;
  582. *) # Relative path.
  583. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  584. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  585. esac
  586. # Do not use `cd foo && pwd` to compute absolute paths, because
  587. # the directories may not exist.
  588. case `pwd` in
  589. .) ac_abs_builddir="$ac_dir";;
  590. *)
  591. case "$ac_dir" in
  592. .) ac_abs_builddir=`pwd`;;
  593. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  594. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  595. esac;;
  596. esac
  597. case $ac_abs_builddir in
  598. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  599. *)
  600. case ${ac_top_builddir}. in
  601. .) ac_abs_top_builddir=$ac_abs_builddir;;
  602. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  603. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  604. esac;;
  605. esac
  606. case $ac_abs_builddir in
  607. .) ac_abs_srcdir=$ac_srcdir;;
  608. *)
  609. case $ac_srcdir in
  610. .) ac_abs_srcdir=$ac_abs_builddir;;
  611. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  612. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  613. esac;;
  614. esac
  615. case $ac_abs_builddir in
  616. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  617. *)
  618. case $ac_top_srcdir in
  619. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  620. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  621. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  622. esac;;
  623. esac
  624. case $INSTALL in
  625. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  626. *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  627. esac
  628. if test x"$ac_file" != x-; then
  629. { echo "$as_me:$LINENO: creating $ac_file" >&5
  630. echo "$as_me: creating $ac_file" >&6;}
  631. rm -f "$ac_file"
  632. fi
  633. # Let's still pretend it is `configure' which instantiates (i.e., don't
  634. # use $as_me), people would be surprised to read:
  635. # /* config.h. Generated by config.status. */
  636. if test x"$ac_file" = x-; then
  637. configure_input=
  638. else
  639. configure_input="$ac_file. "
  640. fi
  641. configure_input=$configure_input"Generated from `echo $ac_file_in |
  642. sed 's,.*/,,'` by configure."
  643. # First look for the input files in the build tree, otherwise in the
  644. # src tree.
  645. ac_file_inputs=`IFS=:
  646. for f in $ac_file_in; do
  647. case $f in
  648. -) echo $tmp/stdin ;;
  649. [\\/$]*)
  650. # Absolute (can't be DOS-style, as IFS=:)
  651. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  652. echo "$as_me: error: cannot find input file: $f" >&2;}
  653. { (exit 1); exit 1; }; }
  654. echo "$f";;
  655. *) # Relative
  656. if test -f "$f"; then
  657. # Build tree
  658. echo "$f"
  659. elif test -f "$srcdir/$f"; then
  660. # Source tree
  661. echo "$srcdir/$f"
  662. else
  663. # /dev/null tree
  664. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  665. echo "$as_me: error: cannot find input file: $f" >&2;}
  666. { (exit 1); exit 1; }; }
  667. fi;;
  668. esac
  669. done` || { (exit 1); exit 1; }
  670. sed "/^[ ]*VPATH[ ]*=/{
  671. s/:*\$(srcdir):*/:/;
  672. s/:*\${srcdir}:*/:/;
  673. s/:*@srcdir@:*/:/;
  674. s/^\([^=]*=[ ]*\):*/\1/;
  675. s/:*$//;
  676. s/^[^=]*=[ ]*$//;
  677. }
  678. :t
  679. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  680. s,@configure_input@,$configure_input,;t t
  681. s,@srcdir@,$ac_srcdir,;t t
  682. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  683. s,@top_srcdir@,$ac_top_srcdir,;t t
  684. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  685. s,@builddir@,$ac_builddir,;t t
  686. s,@abs_builddir@,$ac_abs_builddir,;t t
  687. s,@top_builddir@,$ac_top_builddir,;t t
  688. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  689. s,@INSTALL@,$ac_INSTALL,;t t
  690. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  691. rm -f $tmp/stdin
  692. if test x"$ac_file" != x-; then
  693. mv $tmp/out $ac_file
  694. else
  695. cat $tmp/out
  696. rm -f $tmp/out
  697. fi
  698. done
  699. #
  700. # CONFIG_HEADER section.
  701. #
  702. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  703. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  704. #
  705. # ac_d sets the value in "#define NAME VALUE" lines.
  706. ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
  707. ac_dB='[ ].*$,\1#\2'
  708. ac_dC=' '
  709. ac_dD=',;t'
  710. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  711. ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
  712. ac_uB='$,\1#\2define\3'
  713. ac_uC=' '
  714. ac_uD=',;t'
  715. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  716. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  717. case $ac_file in
  718. - | *:- | *:-:* ) # input from stdin
  719. cat >$tmp/stdin
  720. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  721. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  722. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  723. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  724. * ) ac_file_in=$ac_file.in ;;
  725. esac
  726. test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  727. echo "$as_me: creating $ac_file" >&6;}
  728. # First look for the input files in the build tree, otherwise in the
  729. # src tree.
  730. ac_file_inputs=`IFS=:
  731. for f in $ac_file_in; do
  732. case $f in
  733. -) echo $tmp/stdin ;;
  734. [\\/$]*)
  735. # Absolute (can't be DOS-style, as IFS=:)
  736. test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  737. echo "$as_me: error: cannot find input file: $f" >&2;}
  738. { (exit 1); exit 1; }; }
  739. # Do quote $f, to prevent DOS paths from being IFS'd.
  740. echo "$f";;
  741. *) # Relative
  742. if test -f "$f"; then
  743. # Build tree
  744. echo "$f"
  745. elif test -f "$srcdir/$f"; then
  746. # Source tree
  747. echo "$srcdir/$f"
  748. else
  749. # /dev/null tree
  750. { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  751. echo "$as_me: error: cannot find input file: $f" >&2;}
  752. { (exit 1); exit 1; }; }
  753. fi;;
  754. esac
  755. done` || { (exit 1); exit 1; }
  756. # Remove the trailing spaces.
  757. sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
  758. # Handle all the #define templates only if necessary.
  759. if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
  760. # If there are no defines, we may have an empty if/fi
  761. :
  762. cat >$tmp/defines.sed <<CEOF
  763. /^[ ]*#[ ]*define/!b
  764. t clr
  765. : clr
  766. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"netCDF"${ac_dD}
  767. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"netcdf"${ac_dD}
  768. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"3.6.1"${ac_dD}
  769. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"netCDF 3.6.1"${ac_dD}
  770. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"support@unidata.ucar.edu"${ac_dD}
  771. ${ac_dA}NF_INT1_T${ac_dB}NF_INT1_T${ac_dC}byte${ac_dD}
  772. ${ac_dA}NF_INT2_T${ac_dB}NF_INT2_T${ac_dC}integer*2${ac_dD}
  773. ${ac_dA}NF_INT1_IS_C_SIGNED_CHAR${ac_dB}NF_INT1_IS_C_SIGNED_CHAR${ac_dC}1${ac_dD}
  774. ${ac_dA}NF_INT2_IS_C_SHORT${ac_dB}NF_INT2_IS_C_SHORT${ac_dC}1${ac_dD}
  775. ${ac_dA}NF_INT_IS_C_INT${ac_dB}NF_INT_IS_C_INT${ac_dC}1${ac_dD}
  776. ${ac_dA}NF_REAL_IS_C_FLOAT${ac_dB}NF_REAL_IS_C_FLOAT${ac_dC}1${ac_dD}
  777. ${ac_dA}NF_DOUBLEPRECISION_IS_C_DOUBLE${ac_dB}NF_DOUBLEPRECISION_IS_C_DOUBLE${ac_dC}1${ac_dD}
  778. ${ac_dA}NCBYTE_T${ac_dB}NCBYTE_T${ac_dC}byte${ac_dD}
  779. ${ac_dA}NCSHORT_T${ac_dB}NCSHORT_T${ac_dC}integer*2${ac_dD}
  780. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  781. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  782. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  783. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  784. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  785. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  786. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  787. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  788. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  789. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  790. ${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
  791. ${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
  792. ${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
  793. ${ac_dA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dC}1${ac_dD}
  794. ${ac_dA}HAVE_ST_BLKSIZE${ac_dB}HAVE_ST_BLKSIZE${ac_dC}1${ac_dD}
  795. ${ac_dA}uchar${ac_dB}uchar${ac_dC}unsigned char${ac_dD}
  796. ${ac_dA}SIZEOF_SHORT${ac_dB}SIZEOF_SHORT${ac_dC}2${ac_dD}
  797. ${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
  798. ${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}8${ac_dD}
  799. ${ac_dA}SIZEOF_FLOAT${ac_dB}SIZEOF_FLOAT${ac_dC}4${ac_dD}
  800. ${ac_dA}SIZEOF_DOUBLE${ac_dB}SIZEOF_DOUBLE${ac_dC}8${ac_dD}
  801. ${ac_dA}SIZEOF_OFF_T${ac_dB}SIZEOF_OFF_T${ac_dC}8${ac_dD}
  802. ${ac_dA}SIZEOF_SIZE_T${ac_dB}SIZEOF_SIZE_T${ac_dC}8${ac_dD}
  803. CEOF
  804. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  805. rm -f $tmp/in
  806. mv $tmp/out $tmp/in
  807. fi # grep
  808. # Handle all the #undef templates
  809. cat >$tmp/undefs.sed <<CEOF
  810. /^[ ]*#[ ]*undef/!b
  811. t clr
  812. : clr
  813. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"netCDF"${ac_uD}
  814. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"netcdf"${ac_uD}
  815. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"3.6.1"${ac_uD}
  816. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"netCDF 3.6.1"${ac_uD}
  817. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"support@unidata.ucar.edu"${ac_uD}
  818. ${ac_uA}NF_INT1_T${ac_uB}NF_INT1_T${ac_uC}byte${ac_uD}
  819. ${ac_uA}NF_INT2_T${ac_uB}NF_INT2_T${ac_uC}integer*2${ac_uD}
  820. ${ac_uA}NF_INT1_IS_C_SIGNED_CHAR${ac_uB}NF_INT1_IS_C_SIGNED_CHAR${ac_uC}1${ac_uD}
  821. ${ac_uA}NF_INT2_IS_C_SHORT${ac_uB}NF_INT2_IS_C_SHORT${ac_uC}1${ac_uD}
  822. ${ac_uA}NF_INT_IS_C_INT${ac_uB}NF_INT_IS_C_INT${ac_uC}1${ac_uD}
  823. ${ac_uA}NF_REAL_IS_C_FLOAT${ac_uB}NF_REAL_IS_C_FLOAT${ac_uC}1${ac_uD}
  824. ${ac_uA}NF_DOUBLEPRECISION_IS_C_DOUBLE${ac_uB}NF_DOUBLEPRECISION_IS_C_DOUBLE${ac_uC}1${ac_uD}
  825. ${ac_uA}NCBYTE_T${ac_uB}NCBYTE_T${ac_uC}byte${ac_uD}
  826. ${ac_uA}NCSHORT_T${ac_uB}NCSHORT_T${ac_uC}integer*2${ac_uD}
  827. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  828. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  829. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  830. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  831. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  832. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  833. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  834. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  835. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  836. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  837. ${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
  838. ${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
  839. ${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
  840. ${ac_uA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uC}1${ac_uD}
  841. ${ac_uA}HAVE_ST_BLKSIZE${ac_uB}HAVE_ST_BLKSIZE${ac_uC}1${ac_uD}
  842. ${ac_uA}uchar${ac_uB}uchar${ac_uC}unsigned char${ac_uD}
  843. ${ac_uA}SIZEOF_SHORT${ac_uB}SIZEOF_SHORT${ac_uC}2${ac_uD}
  844. ${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
  845. ${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}8${ac_uD}
  846. ${ac_uA}SIZEOF_FLOAT${ac_uB}SIZEOF_FLOAT${ac_uC}4${ac_uD}
  847. ${ac_uA}SIZEOF_DOUBLE${ac_uB}SIZEOF_DOUBLE${ac_uC}8${ac_uD}
  848. ${ac_uA}SIZEOF_OFF_T${ac_uB}SIZEOF_OFF_T${ac_uC}8${ac_uD}
  849. ${ac_uA}SIZEOF_SIZE_T${ac_uB}SIZEOF_SIZE_T${ac_uC}8${ac_uD}
  850. s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  851. CEOF
  852. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  853. rm -f $tmp/in
  854. mv $tmp/out $tmp/in
  855. # Let's still pretend it is `configure' which instantiates (i.e., don't
  856. # use $as_me), people would be surprised to read:
  857. # /* config.h. Generated by config.status. */
  858. if test x"$ac_file" = x-; then
  859. echo "/* Generated by configure. */" >$tmp/config.h
  860. else
  861. echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
  862. fi
  863. cat $tmp/in >>$tmp/config.h
  864. rm -f $tmp/in
  865. if test x"$ac_file" != x-; then
  866. if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  867. { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  868. echo "$as_me: $ac_file is unchanged" >&6;}
  869. else
  870. ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  871. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  872. X"$ac_file" : 'X\(//\)[^/]' \| \
  873. X"$ac_file" : 'X\(//\)$' \| \
  874. X"$ac_file" : 'X\(/\)' \| \
  875. . : '\(.\)' 2>/dev/null ||
  876. echo X"$ac_file" |
  877. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  878. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  879. /^X\(\/\/\)$/{ s//\1/; q; }
  880. /^X\(\/\).*/{ s//\1/; q; }
  881. s/.*/./; q'`
  882. { if $as_mkdir_p; then
  883. mkdir -p "$ac_dir"
  884. else
  885. as_dir="$ac_dir"
  886. as_dirs=
  887. while test ! -d "$as_dir"; do
  888. as_dirs="$as_dir $as_dirs"
  889. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  890. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  891. X"$as_dir" : 'X\(//\)[^/]' \| \
  892. X"$as_dir" : 'X\(//\)$' \| \
  893. X"$as_dir" : 'X\(/\)' \| \
  894. . : '\(.\)' 2>/dev/null ||
  895. echo X"$as_dir" |
  896. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  897. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  898. /^X\(\/\/\)$/{ s//\1/; q; }
  899. /^X\(\/\).*/{ s//\1/; q; }
  900. s/.*/./; q'`
  901. done
  902. test ! -n "$as_dirs" || mkdir $as_dirs
  903. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  904. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  905. { (exit 1); exit 1; }; }; }
  906. rm -f $ac_file
  907. mv $tmp/config.h $ac_file
  908. fi
  909. else
  910. cat $tmp/config.h
  911. rm -f $tmp/config.h
  912. fi
  913. done
  914. #
  915. # CONFIG_COMMANDS section.
  916. #
  917. for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  918. ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  919. ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
  920. ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
  921. $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  922. X"$ac_dest" : 'X\(//\)[^/]' \| \
  923. X"$ac_dest" : 'X\(//\)$' \| \
  924. X"$ac_dest" : 'X\(/\)' \| \
  925. . : '\(.\)' 2>/dev/null ||
  926. echo X"$ac_dest" |
  927. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  928. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  929. /^X\(\/\/\)$/{ s//\1/; q; }
  930. /^X\(\/\).*/{ s//\1/; q; }
  931. s/.*/./; q'`
  932. { if $as_mkdir_p; then
  933. mkdir -p "$ac_dir"
  934. else
  935. as_dir="$ac_dir"
  936. as_dirs=
  937. while test ! -d "$as_dir"; do
  938. as_dirs="$as_dir $as_dirs"
  939. as_dir=`(dirname "$as_dir") 2>/dev/null ||
  940. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  941. X"$as_dir" : 'X\(//\)[^/]' \| \
  942. X"$as_dir" : 'X\(//\)$' \| \
  943. X"$as_dir" : 'X\(/\)' \| \
  944. . : '\(.\)' 2>/dev/null ||
  945. echo X"$as_dir" |
  946. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  947. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  948. /^X\(\/\/\)$/{ s//\1/; q; }
  949. /^X\(\/\).*/{ s//\1/; q; }
  950. s/.*/./; q'`
  951. done
  952. test ! -n "$as_dirs" || mkdir $as_dirs
  953. fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  954. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  955. { (exit 1); exit 1; }; }; }
  956. ac_builddir=.
  957. if test "$ac_dir" != .; then
  958. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  959. # A "../" for each directory in $ac_dir_suffix.
  960. ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  961. else
  962. ac_dir_suffix= ac_top_builddir=
  963. fi
  964. case $srcdir in
  965. .) # No --srcdir option. We are building in place.
  966. ac_srcdir=.
  967. if test -z "$ac_top_builddir"; then
  968. ac_top_srcdir=.
  969. else
  970. ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  971. fi ;;
  972. [\\/]* | ?:[\\/]* ) # Absolute path.
  973. ac_srcdir=$srcdir$ac_dir_suffix;
  974. ac_top_srcdir=$srcdir ;;
  975. *) # Relative path.
  976. ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  977. ac_top_srcdir=$ac_top_builddir$srcdir ;;
  978. esac
  979. # Do not use `cd foo && pwd` to compute absolute paths, because
  980. # the directories may not exist.
  981. case `pwd` in
  982. .) ac_abs_builddir="$ac_dir";;
  983. *)
  984. case "$ac_dir" in
  985. .) ac_abs_builddir=`pwd`;;
  986. [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  987. *) ac_abs_builddir=`pwd`/"$ac_dir";;
  988. esac;;
  989. esac
  990. case $ac_abs_builddir in
  991. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  992. *)
  993. case ${ac_top_builddir}. in
  994. .) ac_abs_top_builddir=$ac_abs_builddir;;
  995. [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  996. *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  997. esac;;
  998. esac
  999. case $ac_abs_builddir in
  1000. .) ac_abs_srcdir=$ac_srcdir;;
  1001. *)
  1002. case $ac_srcdir in
  1003. .) ac_abs_srcdir=$ac_abs_builddir;;
  1004. [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  1005. *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  1006. esac;;
  1007. esac
  1008. case $ac_abs_builddir in
  1009. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  1010. *)
  1011. case $ac_top_srcdir in
  1012. .) ac_abs_top_srcdir=$ac_abs_builddir;;
  1013. [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  1014. *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  1015. esac;;
  1016. esac
  1017. { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
  1018. echo "$as_me: executing $ac_dest commands" >&6;}
  1019. case $ac_dest in
  1020. default ) sed '1d;s%^/\* \(.*\) \*/%\1%' fortran/nfconfig.inc >conftest.tmp
  1021. mv conftest.tmp fortran/nfconfig.inc
  1022. ;;
  1023. esac
  1024. done
  1025. { (exit 0); exit 0; }